function html5videoFunctions(vid) {
	var th = $('#' + vid),
		video = $('video', th),
		play_button = $('.play_button', th),
		postscreen = $('.html5video_end', th);

	play_button.click(function() {
		video.get(0).play();
		play_button.hide();
	});

	video.bind('playing', function() {
		postscreen.fadeOut();
		play_button.hide();
	}).bind('pause', function() {
		play_button.show();
	}).bind('ended', function() {
		postscreen.fadeIn();
		play_button.hide();
	});
}